Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.reporters
Class ResultCollectorHelper

    java.lang.Object
      org.apache.jmeter.reporters.ResultCollectorHelper

    public class ResultCollectorHelper

extends Object

Helper class to allow TestResultWrapperConverter to send samples directly to the visualiser if required.

Constructor Summary
`ResultCollectorHelper(ResultCollector resultCollector, Visualizer visualizer)`

Method Summary
`void` | `add(SampleResult sample)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultCollectorHelper

    public ResultCollectorHelper(ResultCollector resultCollector,
                                 Visualizer visualizer)

Method Detail

### add

    public void add(SampleResult sample)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.